---
title: SVGTextPositioningElement
slug: Web/API/SVGTextPositioningElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGTextPositioningElement</code></strong> interface is implemented by elements that support attributes that position individual text glyphs. It is inherited by {{domxref("SVGTextElement")}}, {{domxref("SVGTSpanElement")}}, {{domxref("SVGTRefElement")}} and {{domxref("SVGAltGlyphElement")}}.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent, {{domxref("SVGTextContentElement")}}.</em></p>

<dl>
 <dt>{{domxref("SVGTextPositioningElement.x")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedLengthList")}} reflecting the {{SVGAttr("x")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGTextPositioningElement.y")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedLengthList")}} reflecting the {{SVGAttr("y")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGTextPositioningElement.dx")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedLengthList")}} reflecting the {{SVGAttr("dx")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGTextPositioningElement.dy")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedLengthList")}} reflecting the {{SVGAttr("dy")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGTextPositioningElement.rotate")}} {{ReadOnlyInline}}</dt>
 <dd>Returns an {{domxref("SVGAnimatedNumberList")}} reflecting the {{SVGAttr("rotate")}} attribute of the given element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't provide any specific methods, but inherits methods from its parent, {{domxref("SVGTextContentElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "text.html#InterfaceSVGTextPositioningElement", "SVGTextPositioningElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#InterfaceSVGTextPositioningElement", "SVGTextPositioningElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGTextPositioningElement")}}</p>
